package cn.cecep.talroad.data.analyse.task.service;

/***
 *
 * @Title:
 * @Author: ccc
 * @CreateTime: 2023-06-28 13:35
 * @Description D 入参  R 出参  定义类型，可以不设置默认Object
 *
 **/
public interface TaskService<D,R> {

    default R mainProcess(){
        return mainProcess(null);
    };

     public R mainProcess(D dto);

}
